Author Topic: Important Announcement - Java 5.0  (Read 3362 times)

0 Members and 1 Guest are viewing this topic.

Offline Joe

  • B&
  • Moderator
  • Hero Member
  • *****
  • Posts: 10322
  • In Soviet Russia, text read you!
    • View Profile
    • William's Blog
Important Announcement - Java 5.0
« on: September 17, 2009, 06:28:16 AM »
JavaOp 2.1.2 will be built against Java 5.0.

I'm tired of writing code based on 90's technology. iago agrees:

5:26:02 PM Me: Is it time to move forward from 1.4 yet?
5:26:09 PM [x86] iago: yes
5:26:13 PM [x86] iago: Go big or go home
5:26:25 PM [x86] iago: speaking of which, I need to call my financial guy, brb

This is your warning. If you're still using Java 1.4, upgrade.
I'd personally do as Joe suggests

You might be right about that, Joe.


Offline iago

  • Leader
  • Administrator
  • Hero Member
  • *****
  • Posts: 17928
  • Fnord.
    • View Profile
    • SkullSecurity
Re: Important Announcement - Java 5.0
« Reply #1 on: September 17, 2009, 08:28:25 AM »
Why not go to 6? :)

Offline rabbit

  • x86
  • Hero Member
  • *****
  • Posts: 8099
  • I speak for the entire clan (except Joe)
    • View Profile
Re: Important Announcement - Java 5.0
« Reply #2 on: September 17, 2009, 09:06:20 AM »
I think 6 is an RC beta alpha.

Offline iago

  • Leader
  • Administrator
  • Hero Member
  • *****
  • Posts: 17928
  • Fnord.
    • View Profile
    • SkullSecurity
Re: Important Announcement - Java 5.0
« Reply #3 on: September 17, 2009, 10:31:28 AM »
As far as I know, Version 6 Update 16 is the current stable version. Sun's site says nothing about being a beta.

Offline Chavo

  • x86
  • Hero Member
  • *****
  • Posts: 2229
  • no u
    • View Profile
    • Chavoland
Re: Important Announcement - Java 5.0
« Reply #4 on: September 17, 2009, 10:41:14 AM »
Java 6 SE has been released for well over a year.  Java EE has stayed at 5 though, and I have no idea if it will ever move or what will happen with java as a whole considering the Oracle takeover, OpenJDK movements, and existing Java 7 efforts.  You won't care about/need any of the EE features Joe, so stick with 6.

Offline Joe

  • B&
  • Moderator
  • Hero Member
  • *****
  • Posts: 10322
  • In Soviet Russia, text read you!
    • View Profile
    • William's Blog
Re: Important Announcement - Java 5.0
« Reply #5 on: September 17, 2009, 05:01:44 PM »
k, 6. I'm currently running Java 5. :(. I'll see if I can't get 6 installed tonight.
I'd personally do as Joe suggests

You might be right about that, Joe.


Offline Sidoh

  • x86
  • Hero Member
  • *****
  • Posts: 17668
  • MHNATY ~~~~~
    • View Profile
    • sidoh
Re: Important Announcement - Java 5.0
« Reply #6 on: September 17, 2009, 05:57:43 PM »
Java 6 is not in beta or anything like it.  It's been the most recent release of Java for two and a half years (released in December, 2006).

Offline Camel

  • Hero Member
  • *****
  • Posts: 1705
    • View Profile
    • BNU Bot
Re: Important Announcement - Java 5.0
« Reply #7 on: September 18, 2009, 11:07:01 PM »
There's nothing new in Java 6 that can't be used with 5-compatible binaries. You should target 5, because OSX users don't/can't* have Java 6 unless they've got Snow Leopard (maybe Leopard too, but definitely not Tiger), and if you do find yourself using any Java 6 APIs, wrap them in a try/catch block to handle NoClassDefFoundError. In my bots entirety, that is the only such instance of a Java6-only API I had any desire to use (and it doesn't even work very well!).

* OSX users do have the option to use OpenJDK, or other alternatives that are born of Linux and work only with X11. They look like shit, and nearly require a degree in CS to launch the program anyways.
« Last Edit: September 18, 2009, 11:11:46 PM by Camel »

<Camel> i said what what
<Blaze> in the butt
<Camel> you want to do it in my butt?
<Blaze> in my butt
<Camel> let's do it in the butt
<Blaze> Okay!

Offline Joe

  • B&
  • Moderator
  • Hero Member
  • *****
  • Posts: 10322
  • In Soviet Russia, text read you!
    • View Profile
    • William's Blog
Re: Important Announcement - Java 5.0
« Reply #8 on: September 19, 2009, 02:05:42 AM »
Since I'm developing in Leopard, I think I'll stick with 5. I'm having a fun time parameterizing all the vectors anyhow. Maybe six will come in the future, but I think we need a few years to get people to upgrade to that.

I remember the reason we were stuck at 1.4 was for people with dedicated servers without 5 installed. I think that if that's still the case, it's half past time for a new host.
I'd personally do as Joe suggests

You might be right about that, Joe.


Offline Camel

  • Hero Member
  • *****
  • Posts: 1705
    • View Profile
    • BNU Bot
Re: Important Announcement - Java 5.0
« Reply #9 on: September 19, 2009, 03:35:06 AM »
Considering Java 1.4 isn't maintained any more, and has several gaping security flaws, I'd say there's no justification whatsoever to target it.

Java 5 is still the industry standard target (see my previous post about 6's binary format having no new features), usually with source compatibility set to either 5 or 6, depending on the type of application.

<Camel> i said what what
<Blaze> in the butt
<Camel> you want to do it in my butt?
<Blaze> in my butt
<Camel> let's do it in the butt
<Blaze> Okay!

Offline iago

  • Leader
  • Administrator
  • Hero Member
  • *****
  • Posts: 17928
  • Fnord.
    • View Profile
    • SkullSecurity
Re: Important Announcement - Java 5.0
« Reply #10 on: September 19, 2009, 11:25:47 AM »
Considering Java 1.4 isn't maintained any more, and has several gaping security flaws, I'd say there's no justification whatsoever to target it.

Java 5 is still the industry standard target (see my previous post about 6's binary format having no new features), usually with source compatibility set to either 5 or 6, depending on the type of application.
No one's disagreeing.